Loading...
Searching...
No Matches
snd_ump_msg_mixed_data_header_t Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint16_t | bytes
uint8_t | mds_id:4
uint8_t | status:4
uint8_t | group:4
uint8_t | type:4
uint16_t | chunk
uint16_t | chunks
uint16_t | device
uint16_t | manufacturer
uint16_t | sub_id_2
uint16_t | sub_id_1

## Detailed Description

Mixed Data Set Chunk Header Message (128bit)

## Field Documentation

## bytes

uint16_t snd_ump_msg_mixed_data_header_t::bytes

Number of valid bytes in this chunk

## chunk

uint16_t snd_ump_msg_mixed_data_header_t::chunk

Number of this chunk

## chunks

uint16_t snd_ump_msg_mixed_data_header_t::chunks

Number of chunks in mixed data set

## device

uint16_t snd_ump_msg_mixed_data_header_t::device

Device ID

## group

uint8_t snd_ump_msg_mixed_data_header_t::group

UMP Group

## manufacturer

uint16_t snd_ump_msg_mixed_data_header_t::manufacturer

Manufacturer ID

## mds_id

uint8_t snd_ump_msg_mixed_data_header_t::mds_id

Mixed Data Set ID

## status

uint8_t snd_ump_msg_mixed_data_header_t::status

Status

## sub_id_1

uint16_t snd_ump_msg_mixed_data_header_t::sub_id_1

Sub ID # 1

## sub_id_2

uint16_t snd_ump_msg_mixed_data_header_t::sub_id_2

Sub ID # 2

## type

uint8_t snd_ump_msg_mixed_data_header_t::type

UMP packet type

The documentation for this struct was generated from the following file:

- /packaging/alsa-lib/include/ump_msg.h